## networking-calico-1.4.1.tar.gz

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
python-etcd>=0.4.3 # MIT License

=== debian/changelog ===
networking-calico (1:1.4.1-xenial) xenial; urgency=low

  * networking-calico release (from Git commit 8753838).
    - Revert setup.py >=1.8 constraint for pbr

 -- Neil Jerram <neil@tigera.io>  Wed, 08 Feb 2017 13:30:50 +0000

networking-calico (1:1.4.1-trusty) trusty; urgency=low

  * networking-calico release (from Git commit 8753838).
    - Revert setup.py >=1.8 constraint for pbr

 -- Neil Jerram <neil@tigera.io>  Wed, 08 Feb 2017 13:30:50 +0000

networking-calico (1:1.4.0-xenial) xenial; urgency=low

  * networking-calico release (from Git commit a395f91).
    - Python 3 support
    - Revert "DHCP agent: don't directly connect different subnets"
    - Update DevStack plugin:
      - so that it can be used in OpenStack CI
      - to get Calico agent from PPA instead of building from source (which allows
        using Calico 2.0)
      - for Xenial
    - Get OpenStack CI DevStack/Tempest scenario test passing
    - Use neutron-lib imports where possible instead of neutron
    - Documentation improvements:
      - on Calico semantics
      - on floating IP support
      - on service IPs
      - correct enable_plugin call in DevStack README
      - then move all user-facing docs to http://docs.projectcalico.org/master/ (as
        networking-calico docs have now stopped being published to
        docs.openstack.org)
    - Support and document using Calico with Kuryr
    - Update requirements to match OpenStack global requirements
    - Refactoring to organize imports and clarify compatibility code
    - Show team and repo badges on README
    - Handle recent removal of NeutronManager.get_plugin()
    - Monkey-patch eventlet before importing urllib3
    - Intercept floating IP creation (as well as update) so that floating IPs are
      effective immediately after creation on the Neutron API

 -- Neil Jerram <neil@tigera.io>  Tue, 07 Feb 2017 16:07:31 +0000

networking-calico (1:1.4.0-trusty) trusty; urgency=low

  * networking-calico release (from Git commit a395f91).
    - Python 3 support
    - Revert "DHCP agent: don't directly connect different subnets"
    - Update DevStack plugin:
      - so that it can be used in OpenStack CI
      - to get Calico agent from PPA instead of building from source (which allows
        using Calico 2.0)
      - for Xenial
    - Get OpenStack CI DevStack/Tempest scenario test passing
    - Use neutron-lib imports where possible instead of neutron
    - Documentation improvements:
      - on Calico semantics
      - on floating IP support
      - on service IPs
      - correct enable_plugin call in DevStack README
      - then move all user-facing docs to http://docs.projectcalico.org/master/ (as
        networking-calico docs have now stopped being published to
        docs.openstack.org)
    - Support and document using Calico with Kuryr
    - Update requirements to match OpenStack global requirements
    - Refactoring to organize imports and clarify compatibility code
    - Show team and repo badges on README
    - Handle recent removal of NeutronManager.get_plugin()
    - Monkey-patch eventlet before importing urllib3
    - Intercept floating IP creation (as well as update) so that floating IPs are
      effective immediately after creation on the Neutron API

 -- Neil Jerram <neil@tigera.io>  Tue, 07 Feb 2017 16:07:31 +0000

networking-calico (1:1.3.1-xenial) xenial; urgency=low

  * networking-calico release (from Git commit f93201f).
    - Allow Calico with OpenStack to coexist with other orchestrators using Calico.
    - Import utility code from core Calico repo, so that networking-calico becomes
      independent of that repo.
    - Fix Neutron driver to correctly handle etcd connection being temporarily
      stopped or unavailable.

 -- Neil Jerram <neil@tigera.io>  Mon, 03 Oct 2016 10:03:20 +0100

networking-calico (1:1.3.1-trusty) trusty; urgency=low

  * networking-calico release (from Git commit f93201f).
    - Allow Calico with OpenStack to coexist with other orchestrators using Calico.
    - Import utility code from core Calico repo, so that networking-calico becomes
      independent of that repo.
    - Fix Neutron driver to correctly handle etcd connection being temporarily
      stopped or unavailable.

 -- Neil Jerram <neil@tigera.io>  Mon, 03 Oct 2016 10:03:20 +0100

networking-calico (1:1.3.0-xenial) xenial; urgency=low

  * networking-calico release (from Git commit 23c0f71).
    - Host routes support
    - Enable DeprecationWarning in test environments
    - Avoid 'No handlers found' warnings in test run output
    - Support providing custom etcd connection parameters for DHCP agent
    - Fix order of arguments in assertEqual
    - DHCP agent log to /var/log/neutron instead of .../calico
    - Enable usage reporting for Calico/OpenStack deployments
    - DevStack bootstrap: Provide Git user name/email config
    - Fix IPv6 router advertisements with multiple networks

 -- Neil Jerram <neil@tigera.io>  Wed, 21 Sep 2016 14:33:16 +0100

networking-calico (1:1.3.0-trusty) trusty; urgency=low

  * networking-calico release (from Git commit 23c0f71).
    - Host routes support
    - Enable DeprecationWarning in test environments
    - Avoid 'No handlers found' warnings in test run output
    - Support providing custom etcd connection parameters for DHCP agent
    - Fix order of arguments in assertEqual
    - DHCP agent log to /var/log/neutron instead of .../calico
    - Enable usage reporting for Calico/OpenStack deployments
    - DevStack bootstrap: Provide Git user name/email config
    - Fix IPv6 router advertisements with multiple networks

 -- Neil Jerram <neil@tigera.io>  Wed, 21 Sep 2016 14:33:06 +0100

networking-calico (1:1.2.2-xenial) xenial; urgency=low

  * networking-calico release (from Git commit 0637b79).
    - Ensure that DHCP agent log file directory exists
    - DHCP agent: don't directly connect different subnets

 -- Neil Jerram <neil@tigera.io>  Thu, 28 Jul 2016 00:22:42 +0100



=== debian/control ===
Source: networking-calico
Section: net
Priority: optional
Maintainer: Neil Jerram <neil@projectcalico.org>
Build-Depends: debhelper (>= 8.0.0), dh-systemd, python-all (>= 2.6), python-setuptools, python-pbr
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4

Package: calico-compute
Architecture: all
Depends:
 bird,
 calico-felix (>= 1.4),
 networking-calico (= ${binary:Version}),
 neutron-dhcp-agent,
 iptables-persistent,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Project Calico networking for OpenStack/Neutron.
 Project Calico is an open source solution for virtual networking in
 cloud data centers. It uses IP routing to provide connectivity
 between the workloads in a data center that provide or use IP-based
 services - whether VMs, containers or bare metal appliances; and
 iptables, to impose any desired fine-grained security policy between
 those workloads.
 .
 This package provides the pieces needed on a compute node.

Package: calico-dhcp-agent
Architecture: all
Depends:
 networking-calico (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Project Calico networking for OpenStack/Neutron.
 Project Calico is an open source solution for virtual networking in
 cloud data centers. It uses IP routing to provide connectivity
 between the workloads in a data center that provide or use IP-based
 services - whether VMs, containers or bare metal appliances; and
 iptables, to impose any desired fine-grained security policy between
 those workloads.
 .
 This package provides the Calico DHCP agent.

Package: calico-control
Architecture: all
Depends:
 networking-calico (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Project Calico networking for OpenStack/Neutron.
 Project Calico is an open source solution for virtual networking in
 cloud data centers. It uses IP routing to provide connectivity
 between the workloads in a data center that provide or use IP-based
 services - whether VMs, containers or bare metal appliances; and
 iptables, to impose any desired fine-grained security policy between
 those workloads.
 .
 This package provides the pieces needed on a controller node.

Package: networking-calico
Architecture: all
Depends:
 ${misc:Depends},
 python-pbr,
 python-babel,
 python-eventlet,
 python-six,
 python-etcd
Description: Project Calico networking for OpenStack/Neutron.
 Project Calico is an open source solution for virtual networking in
 cloud data centers. It uses IP routing to provide connectivity
 between the workloads in a data center that provide or use IP-based
 services - whether VMs, containers or bare metal appliances; and
 iptables, to impose any desired fine-grained security policy between
 those workloads.
 .
 This package installs the networking-calico Calico/Neutron
 integration code.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PBR_VERSION=1.4.1

%:
	dh $@  --with python2,systemd
